'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CompareButton = function (_Component) {
    _inherits(CompareButton, _Component);

    function CompareButton(props) {
        _classCallCheck(this, CompareButton);

        var _this = _possibleConstructorReturn(this, (CompareButton.__proto__ || Object.getPrototypeOf(CompareButton)).call(this, props));

        _this.createButton = _this.createButton.bind(_this);
        return _this;
    }

    _createClass(CompareButton, [{
        key: 'createButton',
        value: function createButton(label, index) {
            var classes = this.props.exercise.effectOn === index ? "btn toggle-active" : "btn";
            return _react2.default.createElement(
                'button',
                { onClick: this.props.onClick, type: 'button', key: index, value: index, className: classes },
                label
            );
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                activeButtonIndex = _props.activeButtonIndex,
                onClick = _props.onClick;

            var labels = ['A', 'B'];
            return _react2.default.createElement(
                'div',
                { style: styles.container },
                labels.map(function (label, index) {
                    var active = activeButtonIndex === index;
                    var buttonStyle = active ? Object.assign({}, styles.defaultButton, styles.activeButton) : styles.defaultButton;
                    return _react2.default.createElement(
                        'button',
                        {
                            style: buttonStyle,
                            type: 'button',
                            onClick: onClick,
                            key: label,
                            value: index },
                        label
                    );
                })
            );
        }
    }]);

    return CompareButton;
}(_react.Component);

CompareButton.propTypes = {
    onClick: _propTypes2.default.func.isRequired,
    activeButtonIndex: _propTypes2.default.oneOfType([_propTypes2.default.number, _propTypes2.default.object])
};

var styles = {
    container: {
        width: 118,
        height: 34,
        position: 'relative',
        backgroundColor: '#333',
        display: 'flex',
        justifyContent: 'space-between',
        alignItems: 'center',
        padding: 5,
        borderRadius: 4
    },
    defaultButton: {
        width: 54,
        height: 34,
        borderRadius: 2,
        color: '#333',
        fontWeight: 700,
        textAlign: 'center',
        border: '2px solid #b3b3b3',
        boxShadow: '3px 5px 12px rgba(0,0,0,0.7)',
        ':focus': {
            outline: 0
        }
    },
    activeButton: {
        boxShadow: 'none',
        backgroundColor: '#EF9C62',
        color: '#fff',
        borderColor: '#e58b48'

    }
};

exports.default = (0, _radium2.default)(CompareButton);