'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ButtonGroupButton = function ButtonGroupButton(_ref) {
    var answer = _ref.answer,
        response = _ref.response,
        name = _ref.name,
        index = _ref.index,
        label = _ref.label,
        value = _ref.value,
        _onClick = _ref.onClick,
        previewActive = _ref.previewActive;


    var renderButtonStyle = function renderButtonStyle() {
        var correct = answer.correctIndex === response.userIndex;
        var selected = response.userIndex === index;

        if (selected && correct) {
            return styles.correct;
        }

        if (selected && !correct) {
            return styles.false;
        }
        // If answer is false show correct answer
        if (!selected && answer.correctIndex === index) {
            return styles.buttonCorrect;
        }
    };

    //const divStyle = previewActive ? 'button-active' : answer && response ? renderButtonStyle(answer, response, index) : '';
    var buttonStyle = previewActive ? styles.preview : answer && response ? renderButtonStyle() : {};
    return _react2.default.createElement(
        'button',
        {
            type: 'button',
            style: Object.assign({}, styles.default, buttonStyle),
            name: name,
            label: label,
            onClick: function onClick(event) {
                return _onClick(event, index, label);
            },
            value: value
        },
        label
    );
};

ButtonGroupButton.propTypes = {
    answer: _propTypes2.default.object,
    response: _propTypes2.default.object,
    onClick: _propTypes2.default.func.isRequired,
    index: _propTypes2.default.number.isRequired,
    name: _propTypes2.default.string.isRequired,
    label: _propTypes2.default.string.isRequired,
    previewActive: _propTypes2.default.bool
};

var styles = {
    default: {
        minWidth: 90,
        maxWidth: 180,
        borderRadius: 6,
        height: 50,
        fontSize: 14,
        display: 'flex',
        flexGrow: 2,
        flexBasis: 0,
        justifyContent: 'center',
        color: '#333',
        fontWeight: 'bold',
        transition: 'all 0.5s',
        boxShadow: '2px 5px 3px rgba(0,0,0,0.5)',
        backgroundColor: '#ccc',
        border: '3px solid #b3b3b3',
        margin: '0 16px',
        ':hover': {
            cursor: 'pointer',
            backgroundColor: '#fff',
            borderColor: '#f2f2f2'
        },
        ':focus': {
            outline: 0
        },
        ':active': {
            boxShadow: '0px 3px rgba(0,0,0,0.8)',
            transform: 'translateY(5px)'
        }
    },
    correct: {
        backgroundColor: '#66cc80',
        border: '0px solid #66cc80',
        color: '#e6e6e6',
        ':hover': {
            backgroundColor: '#66cc80',
            cursor: 'pointer'
        }
    },
    false: {
        backgroundColor: '#cc4848',
        border: '0px solid #cc4848',
        color: '#e6e6e6',
        ':hover': {
            backgroundColor: '#cc4848',
            cursor: 'pointer'
        }

    },
    preview: {}
};

exports.default = (0, _radium2.default)(ButtonGroupButton);