'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mute = require('svgs/icon_mute.svg');
var unmute = require('svgs/icon_unmute.svg');

var MuteButton = function MuteButton(_ref) {
    var onToggle = _ref.onToggle,
        muted = _ref.muted;

    var icon = muted ? mute : unmute;
    var style = muted ? styles.default : Object.assign({}, styles.default, styles.active);
    return _react2.default.createElement(
        'div',
        { style: style, onClick: onToggle },
        _react2.default.createElement('img', { style: styles.img, src: icon })
    );
};

var styles = {
    default: {
        width: 42,
        height: 42,
        backgroundColor: '#e6e6e6',
        borderRadius: 6,
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        boxShadow: '1px 3px 1px rgba(0,0,0,0.8)',
        border: '2px solid #ccc',
        ':active': {
            boxShadow: '0 0 rgba(0,0,0,0.8)',
            transform: 'translateY(2px)'
        }
    },
    img: {
        width: 30
    },
    active: {
        backgroundColor: '#ffe888',
        border: '2px solid #ffe266'
    }
};

exports.default = (0, _radium2.default)(MuteButton);