'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var OnOffButton = function (_React$Component) {
    _inherits(OnOffButton, _React$Component);

    function OnOffButton(props) {
        _classCallCheck(this, OnOffButton);

        var _this = _possibleConstructorReturn(this, (OnOffButton.__proto__ || Object.getPrototypeOf(OnOffButton)).call(this, props));

        _this.state = {
            effectOn: props.effectOn || false
        };

        _this.handleClick = _this.handleClick.bind(_this);
        return _this;
    }

    _createClass(OnOffButton, [{
        key: 'handleClick',
        value: function handleClick(event) {
            this.setState(function (prevState) {
                return { effectOn: !prevState.effectOn };
            });

            this.props.onClick();
        }
    }, {
        key: 'render',
        value: function render() {
            console.log(this.state);
            var effectOn = this.state.effectOn;

            return _react2.default.createElement(
                'div',
                { style: styles.container, onClick: this.handleClick },
                _react2.default.createElement(
                    'span',
                    { style: effectOn ? styles.textOn : styles.textOff },
                    effectOn ? "ON" : "OFF"
                ),
                _react2.default.createElement('div', { style: effectOn ? styles.buttonOn : styles.buttonOff })
            );
        }
    }]);

    return OnOffButton;
}(_react2.default.Component);

OnOffButton.propTypes = {
    /** If effect is ON of OFF */
    effectOn: _propTypes2.default.bool.isRequired,
    /** Function that handles state change */
    onClick: _propTypes2.default.func.isRequired
};

var styles = {
    container: {
        width: 118,
        height: 34,
        position: 'relative',
        backgroundColor: '#333',
        display: 'flex',
        justifyContent: 'flex-start',
        alignItems: 'center',
        padding: 5,
        borderRadius: 4,
        ':hover': {
            cursor: 'pointer'
        },
        ':active': {
            boxShadow: '0 0 0 2px #d5f1fd'
        }
    },
    buttonOn: {
        boxSizing: 'border-box',
        position: 'absolute',
        border: '2px solid #b3b3b3',
        backgroundColor: '#ccc',
        borderRadius: 2,
        width: 59,
        height: 34,
        transitionDuration: '.2s',
        transform: 'translateX(100%)'
    },
    buttonOff: {
        boxSizing: 'border-box',
        position: 'relative',
        borderRadius: 2,
        backgroundColor: '#ccc',
        border: '2px solid #b3b3b3',
        width: 59,
        height: 34,
        transitionDuration: '.2s',
        transform: 'translateX(0px)'
    },
    textOff: {
        fontSize: 13,
        fontWeight: 700,
        position: 'absolute',
        right: 20,
        margin: 0,
        padding: 0
    },
    textOn: {
        color: '#fff',
        fontSize: 13,
        fontWeight: 700,
        position: 'absolute',
        left: 20,
        margin: 0,
        padding: 0
    }

};

exports.default = (0, _radium2.default)(OnOffButton);