'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PlayButton = function PlayButton(_ref) {
	var finished = _ref.finished,
	    playing = _ref.playing,
	    onClick = _ref.onClick,
	    started = _ref.started,
	    previewMode = _ref.previewMode;


	var buttonText = previewMode ? "PLAY" : started && !finished ? "NEXT" : finished ? "FINISH" : "START";
	return _react2.default.createElement(
		'button',
		{
			disabled: playing,
			style: playing ? Object.assign({}, styles.base, styles.disabled) : Object.assign({}, styles.base, styles.active),
			className: 'button-large button-right', onClick: onClick },
		buttonText
	);
};

PlayButton.propTypes = {
	started: _propTypes2.default.bool.isRequired,
	finished: _propTypes2.default.bool.isRequired,
	onClick: _propTypes2.default.func.isRequired,
	playing: _propTypes2.default.bool.isRequired,
	previewMode: _propTypes2.default.bool
};

var styles = {
	base: {
		width: 84,
		height: 70,
		display: 'flex',
		justifyContent: 'center',
		alignItems: 'center',
		border: '3px solid #ccc',
		borderRadius: 4,
		boxShadow: '2px 5px 2px rgba(0,0,0,0.7)',
		fontWeight: 700,
		fontSize: 16,
		':focus': {
			outline: 0
		}
	},
	active: {
		backgroundColor: '#e6e6e6',
		':hover': {
			backgroundColor: '#fff',
			cursor: 'pointer'
		},
		':active': {
			boxShadow: '0px 3px rgba(0,0,0,0.8)',
			transform: 'translateY(5px)'
		}
	},
	disabled: {
		backgroundColor: '#b3b3b3',
		color: '#808080',
		userSelect: 'none',
		':hover': {
			cursor: 'normal'
		}

	},
	position: 'relative',
	margin: 'auto',
	width: 80,
	height: 70,
	marginTop: 50,
	backgroundColor: '#b3b3b3',
	boxShadow: '1px 3px 1px 1px rgba(0,0,0,0.4)',
	borderRadius: 2,
	lineHeight: 5,
	textAlign: 'center',
	fontWeight: 'bold',
	cursor: 'pointer',
	':hover': {
		color: '#333333',
		backgroundColor: '#F4DF87'
	}
};

exports.default = (0, _radium2.default)(PlayButton);