'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _templateObject = _taggedTemplateLiteral(['\n    box-sizing: border-box;\n    border: 1px solid #b3b3b3;\n    border-radius: 2px;\n    padding: 6px 12px;\n    min-height: 40px;\n    font-size: 14px;\n    box-shadow: none;\n    width: 100%;\n    color: #555;\n    resize: none;\n    &:focus: {\n        border: 1px solid #5fb6c1;\n        box-shadow:  0 5px #5fb6c1;\n    }    \n'], ['\n    box-sizing: border-box;\n    border: 1px solid #b3b3b3;\n    border-radius: 2px;\n    padding: 6px 12px;\n    min-height: 40px;\n    font-size: 14px;\n    box-shadow: none;\n    width: 100%;\n    color: #555;\n    resize: none;\n    &:focus: {\n        border: 1px solid #5fb6c1;\n        box-shadow:  0 5px #5fb6c1;\n    }    \n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Label = require('../Label');

var _Label2 = _interopRequireDefault(_Label);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var StyledTextArea = _styledComponents2.default.textarea(_templateObject);

var TextArea = function TextArea(_ref) {
    var _ref$maxLength = _ref.maxLength,
        maxLength = _ref$maxLength === undefined ? 100 : _ref$maxLength,
        label = _ref.label,
        onChange = _ref.onChange,
        value = _ref.value,
        name = _ref.name,
        htmlId = _ref.htmlId,
        _ref$required = _ref.required,
        required = _ref$required === undefined ? false : _ref$required,
        style = _ref.style;

    return _react2.default.createElement(
        'fieldset',
        { style: Object.assign({ marginBottom: 30, marginLeft: 0, padding: 0, border: 'none' }, style) },
        _react2.default.createElement(_Label2.default, {
            htmlFor: htmlId,
            label: label
        }),
        _react2.default.createElement(StyledTextArea, {
            autoComplete: 'off',
            maxLength: maxLength,
            required: required,
            onChange: onChange,
            value: value,
            name: name
        })
    );
};

TextArea.propTypes = {
    maxLength: _propTypes2.default.number,
    label: _propTypes2.default.string.isRequired,
    value: _propTypes2.default.string.isRequired,
    name: _propTypes2.default.string.isRequired,
    htmlId: _propTypes2.default.string,
    required: _propTypes2.default.bool,
    style: _propTypes2.default.object,
    onChange: _propTypes2.default.func.isRequired
};

exports.default = TextArea;