'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _templateObject = _taggedTemplateLiteral(['\n    border: 1px solid #b3b3b3;\n    border-radius: 2px;\n    box-sizing: border-box;\n    margin-top: 0;\n    height: 40px;\n    padding: 6px 12px;\n    font-size: 14px;\n    box-shadow: none;\n    width: 100%;\n    color: #555;\n    &:focus: {\n        border: 1px solid #5fb6c1;\n        box-shadow:  0 5px #5fb6c1;\n    }    \n'], ['\n    border: 1px solid #b3b3b3;\n    border-radius: 2px;\n    box-sizing: border-box;\n    margin-top: 0;\n    height: 40px;\n    padding: 6px 12px;\n    font-size: 14px;\n    box-shadow: none;\n    width: 100%;\n    color: #555;\n    &:focus: {\n        border: 1px solid #5fb6c1;\n        box-shadow:  0 5px #5fb6c1;\n    }    \n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Label = require('../Label');

var _Label2 = _interopRequireDefault(_Label);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Input = _styledComponents2.default.input(_templateObject);

var TextInput = function TextInput(_ref) {
    var htmlId = _ref.htmlId,
        label = _ref.label,
        _ref$type = _ref.type,
        type = _ref$type === undefined ? "text" : _ref$type,
        name = _ref.name,
        value = _ref.value,
        onChange = _ref.onChange,
        error = _ref.error,
        placeholder = _ref.placeholder,
        _ref$required = _ref.required,
        required = _ref$required === undefined ? false : _ref$required,
        _ref$autoFocus = _ref.autoFocus,
        autoFocus = _ref$autoFocus === undefined ? 'false' : _ref$autoFocus,
        style = _ref.style;

    return _react2.default.createElement(
        'fieldset',
        { style: Object.assign({ marginBottom: 30, marginLeft: 0, padding: 0, border: 'none' }, style) },
        _react2.default.createElement(_Label2.default, { htmlFor: htmlId, label: label }),
        _react2.default.createElement(Input, {
            autoComplete: 'off',
            type: type,
            id: htmlId,
            value: value,
            name: name,
            placeholder: placeholder,
            required: required,
            onChange: onChange,
            autoFocus: autoFocus,
            className: error ? "form-control form-control-error" : "form-control" }),
        error && _react2.default.createElement(
            'div',
            { className: 'form-error' },
            error
        )
    );
};

TextInput.propTypes = {
    htmlId: _propTypes2.default.string.isRequired,
    label: _propTypes2.default.string.isRequired,
    type: _propTypes2.default.string,
    name: _propTypes2.default.string.isRequired,
    value: _propTypes2.default.string.isRequired,
    onChange: _propTypes2.default.func.isRequired,
    error: _propTypes2.default.string,
    placeholder: _propTypes2.default.string,
    required: _propTypes2.default.bool,
    autoFocus: _propTypes2.default.bool
};

exports.default = TextInput;