'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var NotificationIcon = function NotificationIcon(_ref) {
    var onClick = _ref.onClick,
        _ref$active = _ref.active,
        active = _ref$active === undefined ? false : _ref$active,
        _ref$notifications = _ref.notifications,
        notifications = _ref$notifications === undefined ? [] : _ref$notifications,
        className = _ref.className,
        style = _ref.style;

    return _react2.default.createElement(
        'div',
        { onClick: onClick, style: styles.container },
        _react2.default.createElement(_Icon2.default, {
            icon: 'notification',
            defaultColor: '#b3b3b3',
            activeColor: '#333',
            className: className,
            style: style,
            active: active,
            width: 24 }),
        notifications.length > 0 && _react2.default.createElement(
            'span',
            { style: styles.indicator },
            notifications.length
        )
    );
};

NotificationIcon.propTypes = {
    onClick: _propTypes2.default.func.isRequired,
    className: _propTypes2.default.string,
    style: _propTypes2.default.object,
    active: _propTypes2.default.bool.isRequired,
    notifications: _propTypes2.default.array
};

var styles = {
    container: {
        width: 38,
        display: 'flex',
        alignItems: 'center',
        justifyContent: 'center',
        paddingTop: 6,
        position: 'relative'
    },
    indicator: {
        position: 'absolute',
        height: 15,
        width: 15,
        padding: 0,
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        borderRadius: '50%',
        backgroundColor: 'red',
        color: '#fff',
        fontSize: 10,
        fontWeight: 700,
        top: 0,
        right: 0
    }
};

exports.default = NotificationIcon;