'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CardHeader = function CardHeader(_ref) {
    var _ref$height = _ref.height,
        height = _ref$height === undefined ? 50 : _ref$height,
        headerText = _ref.headerText,
        backgroundColor = _ref.backgroundColor,
        children = _ref.children;

    var styles = getStyles({ height: height, backgroundColor: backgroundColor });
    return _react2.default.createElement(
        'div',
        { style: styles.container },
        _react2.default.createElement(
            'h1',
            { style: styles.headerText },
            headerText
        ),
        children
    );
};

CardHeader.propTypes = {
    height: _react2.default.PropTypes.number,
    headerText: _react2.default.PropTypes.string.isRequired
};

function getStyles(_ref2) {
    var height = _ref2.height,
        backgroundColor = _ref2.backgroundColor;

    return {
        container: {
            height: height,
            width: '100%',
            borderBottom: '1px solid #e6e6e6',
            display: 'flex',
            justifyContent: 'space-between',
            alignItems: 'center',
            margin: 0,
            padding: '0 15px',
            boxSizing: 'border-box',
            backgroundColor: backgroundColor && backgroundColor
        },
        headerText: {
            margin: 0,
            padding: 0,
            fontSize: 16,
            fontWeight: 600
        }

    };
}

exports.default = CardHeader;