'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Wrapper = function Wrapper(_ref) {
    var _ref$layout = _ref.layout,
        layout = _ref$layout === undefined ? 'horizontal' : _ref$layout,
        className = _ref.className,
        style = _ref.style,
        children = _ref.children;

    return _react2.default.createElement(
        'div',
        { style: Object.assign({}, styles[layout], style), className: className },
        children
    );
};

Wrapper.propTypes = {
    layout: _propTypes2.default.string,
    children: _propTypes2.default.array,
    className: _propTypes2.default.string,
    style: _propTypes2.default.object
};

var styles = {
    horizontal: {
        display: 'flex',
        alignItems: 'center'
    },
    vertical: {
        display: 'flex',
        flexFlow: 'column',
        alignItems: 'center',
        justifyContent: 'center'
    }
};

exports.default = Wrapper;