'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

require('./sound_icon.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var img = require('./sound_icon.svg');

var SoundIcon = function SoundIcon(_ref) {
  var name = _ref.name,
      id = _ref.id,
      _ref$activeSound = _ref.activeSound,
      activeSound = _ref$activeSound === undefined ? '' : _ref$activeSound,
      setActiveSound = _ref.setActiveSound;

  var className = activeSound === name ? 'sound-icon sound-icon-active' : 'sound-icon';

  return _react2.default.createElement(
    'label',
    { className: className },
    _react2.default.createElement('input', { type: 'radio', name: 'soundicons', id: id, value: name, onChange: setActiveSound }),
    _react2.default.createElement('img', { src: img }),
    _react2.default.createElement(
      'p',
      null,
      name
    )
  );
};

var styles = {
  container: {
    position: 'relative',
    backgroundColor: '#b3b3b3',
    border: '2px solid #ccc',
    width: 75,
    height: 75,
    borderRadius: 10,
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
    margin: '10px 0'
  }
};

exports.default = SoundIcon;